"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const banner = (port) => `listening on port: ${port}`;
const listen = (app, opts = {}) => {
    const { port, bannerfn, log } = opts;
    const logfn = log || console.log; // eslint-disable-line no-console
    const resolvedPort = port || process.env.PORT || 5150;
    logfn((bannerfn || banner)(resolvedPort));
    app.listen(resolvedPort);
};
exports.default = listen;
