import { HttpResponseBadRequest, HttpResponseNotFound, HttpResponseOK, HttpResponseUnauthorized } from './http/responses';
import { createServer, listRoutes, listen, load, printRoutes } from './server';
export declare const ok: (data: any) => HttpResponseOK;
export declare const unauthorized: (error: any) => HttpResponseUnauthorized;
export declare const err: (error: any) => HttpResponseBadRequest;
export declare const notfound: (error: any) => HttpResponseNotFound;
declare const Middleware: (mware: any) => MethodDecorator & PropertyDecorator;
declare const ClassMiddleware: (mware: any) => ClassDecorator;
declare const ErrorMiddleware: (mware: any) => MethodDecorator & PropertyDecorator;
declare const ClassErrorMiddleware: (mware: any) => ClassDecorator;
declare const Controller: (path: string) => (target: any) => any;
export { load, listen, listRoutes, printRoutes, createServer, Middleware, ClassMiddleware, ErrorMiddleware, ClassErrorMiddleware, Controller, };
export { Delete, Get, Patch, Post, Put } from '@hyperstackjs/hypernight';
//# sourceMappingURL=api.d.ts.map