"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const responseSender = (response, result) => {
    response.status(result.statusCode);
    response.set(result.getHeaders());
    if (typeof result.body === 'number') {
        result.body = result.body.toString();
    }
    response.send(result.body);
};
exports.default = responseSender;
