"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importDefault(require("fs"));
const indexSender = (indexFolder) => {
    const indexFile = path_1.default.resolve(indexFolder, 'index.html');
    if (!fs_1.default.existsSync(indexFile)) {
        throw new Error(`controllers: index file redirect is on, but no such file: ${indexFile}`);
    }
    return (_req, res) => {
        res.sendFile(indexFile);
    };
};
exports.default = indexSender;
